[@algorandfoundation/algokit-utils](../README.md) / [types/network-client](../modules/types_network_client.md) / NetworkDetails

# Interface: NetworkDetails

[types/network-client](../modules/types_network_client.md).NetworkDetails

Details of the current network.

## Table of contents

### Properties

- [genesisHash](types_network_client.NetworkDetails.md#genesishash)
- [genesisId](types_network_client.NetworkDetails.md#genesisid)
- [isLocalNet](types_network_client.NetworkDetails.md#islocalnet)
- [isMainNet](types_network_client.NetworkDetails.md#ismainnet)
- [isTestNet](types_network_client.NetworkDetails.md#istestnet)

## Properties

### genesisHash

• **genesisHash**: `string`

The base64 genesis hash of the current network.

#### Defined in

[src/types/network-client.ts:34](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/network-client.ts#L34)

___

### genesisId

• **genesisId**: `string`

The genesis ID of the current network.

#### Defined in

[src/types/network-client.ts:32](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/network-client.ts#L32)

___

### isLocalNet

• **isLocalNet**: `boolean`

Whether or not the network is LocalNet.

#### Defined in

[src/types/network-client.ts:30](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/network-client.ts#L30)

___

### isMainNet

• **isMainNet**: `boolean`

Whether or not the network is MainNet.

#### Defined in

[src/types/network-client.ts:28](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/network-client.ts#L28)

___

### isTestNet

• **isTestNet**: `boolean`

Whether or not the network is TestNet.

#### Defined in

[src/types/network-client.ts:26](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/network-client.ts#L26)
